<div class="container-fluid p-0">
    <div class="title-wrapper flex-fill">
        <h3 id="heading" class="m-0">SMS Settings</h3>
    </div>
    <div class="breadcrumb-container d-flex align-items-center">
        <span>Communications</span>
        <mat-icon class="ml-2 mr-2">chevron_right</mat-icon>
        <span>SMS Settings</span>
    </div>

    <mat-card class="mt-2" [formGroup]="formGroup">
        <mat-card-content>
            <div class="card-title-wrapper">
                <label class="m-0">SMS Subscription</label>
            </div>

            <div class="d-flex align-items-center" style="margin-top: 27px;">
                <kendo-switch [onLabel]="'Disable'" [offLabel]="'Enable'" formControlName="status" ></kendo-switch>
                <span class="ml-4">
                    To Activate this Toggle switch you need to set up an active Credit Card or any other Payment Method in the <a
                        href=""><u>subscription page.</u></a>
                </span>
            </div>


            <div class="d-flex align-items-center" style="margin-top: 49px;">

                <div class="sms-credit-balance-container">
                    <div class="scb-header d-flex justify-content-center align-items-center">
                        <span>SMS credit balance</span>
                    </div>

                    <div class="scb-content d-flex flex-column align-items-center justify-content-center">
                        <h3 style="color: #1C1B1B">{{balance}}</h3>

                        <div class="d-flex">
                            <input *ngIf="formGroup.get('status').value" class="flex-fill" type="text" formControlName="balanceSms" appOnlyNumber>
                            <input *ngIf="!formGroup.get('status').value" class="flex-fill" type="text" disabled="true">
                            <button (click)="buySms()">Buy SMS</button>
                        </div>
                        <mat-error *ngIf="formGroup.get('balanceSms').hasError('min')">Minimum 100 credit is required.</mat-error>
                    </div>

                </div>

                <div class="sms-credit-balance-container ml-5 d-flex flex-column" style="padding-top: 8px;">
<!--                    <div class="d-flex justify-content-center flex-fill">-->
<!--                        <label class="m-0"-->
<!--                               style="font-size: 16px; align-items: center;color: #1C1B1B; font-weight: bold;">-->
<!--                            SMS Credit Running Low-->
<!--                        </label>-->
<!--                    </div>-->
                    <div class="scb-content d-flex flex-column align-items-center justify-content-center"
                         style="margin-top: 8px; padding-right: 20px; padding-left: 20px;">

                        <span>Credits are $ 0.00 + GST</span>
                        <span class="text-center"
                              style="margin-top: 8px;">SMS credit uses 1 credit per 160 characters</span>

                    </div>

                </div>

            </div>

            <div class="card-title-wrapper" style="margin-top: 36px;">
                <label class="m-0">Receiving Replies</label>
            </div>

            <label style="margin-top: 8px">All replies to SMS messages will be updated in all relevant form for the
                selected location. </label>

            <div style="border-top: 1px solid #DADADA; margin: 36px -16px;"></div>

            <div class="card-title-wrapper">
                <label class="m-0">SMS Credit Running Low</label>
            </div>

            <div class="sms-credit-low-container" style="margin-top: 24px;">
                <label class="font-weight-bold">Enable Auto-recharge</label>
                <label>Auto-recharge automatically tops up your SMS Credit balance when it falls below a certain amount,
                    funded from your credit card, or any other payment method added in the subscription page.</label>

                <div class="d-flex align-items-center" style="margin: 24px 0 27px 0;">

                    <kendo-switch [onLabel]="'Disable'" [offLabel]="'Enable'" formControlName="autoRecharge" [disabled]="!formGroup.get('status').value"></kendo-switch>
                    <div class="ml-4">
                        Re-charge my SMS credit with
                        <input *ngIf="formGroup.get('autoRecharge').value && formGroup.get('status').value" class="scrl-input-small" type="text" appOnlyNumber formControlName="rechargeSmsCount" />
                        <input *ngIf="!formGroup.get('autoRecharge').value || !formGroup.get('status').value" class="scrl-input-small" type="text" appOnlyNumber [disabled]="true" />
                        Credits when it falls below
                        <input *ngIf="formGroup.get('autoRecharge').value && formGroup.get('status').value" class="scrl-input-small" type="text" formControlName="rechargeBelowSmsCount" appOnlyNumber />
                        <input *ngIf="!formGroup.get('autoRecharge').value || !formGroup.get('status').value" class="scrl-input-small" type="text" appOnlyNumber [disabled]="true" />
                        Credits.
                    </div>

                </div>

                <span>
                    To Activate this Toggle switch you need to set up an active Credit Card or any other Payment Method in the <a
                        href=""><u>subscription page.</u></a>
                </span>
            </div>

            <div class="sms-credit-low-container" style="min-height: 105px !important; margin-top: 24px;">
                <label class="font-weight-bold">Enable Email Alert</label>

                <div class="d-flex align-items-center" style="margin: 24px 0 27px 0;">

                    <kendo-switch [onLabel]="'Disable'" [offLabel]="'Enable'" formControlName="emailAlert" [disabled]="!formGroup.get('status').value"></kendo-switch>
                    <div class="ml-4">
                        Send email alert when SMS credit balance falls below
                        <input *ngIf="formGroup.get('emailAlert').value && formGroup.get('status').value" class="scrl-input-small" type="text" formControlName="emailAlertBelowSmsCount" appOnlyNumber />
                        <input *ngIf="!formGroup.get('emailAlert').value || !formGroup.get('status').value" class="scrl-input-small" type="text" appOnlyNumber [disabled]="true" />
                        Credits.
                    </div>
                </div>
            </div>

            <div class="d-flex align-items-center justify-content-end w-100" style="margin-top: 24px;">

                <button mat-stroked-button style="font-size: 14px;" (click)="cancel()">Cancel</button>
                <button mat-raised-button class="ml-3" style="font-size: 14px;" (click)="save()">Save Settings</button>

            </div>
        </mat-card-content>
    </mat-card>
</div>

<ng-template #paymentMethodNotAddedDialog>
    <div style="padding: 20px;">
        <span>You have not register your payment method. Adding payment method will allow you to purchase SMS credits.</span>
    </div>
</ng-template>
